Scilab Function

bool2s - convertit une matrice booléenne en une matrice 0-1

### Calling Sequence

  `bool2s(x)`

### Parameters

- `x` : matrice réelle, complexe ou booléenne

### Description

Si `x` est une matrice booléenne, `bool2s(x)` renvoie une matrice où les valeurs %T (true=vrai) sont remplacées par des 1 et les %F (faux) par des 0.

Si `x` n'est pas une matrice booléenne, `bool2s(x)` renvoie une matrice où les valeurs non-nulles sont remplacées par des 1.

### Examples

    bool2s([%t %t %f %t])
    bool2s([2.3 0 10 -1])

### See Also

`boolean` , `find` ,